HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostRefundsRefundCancel

Contains the different functions to run the operation postRefundsRefundCancel

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostRefundsRefundCancel.hs
valuepostRefundsRefundCancel
  1. :: MonadHTTP m
  2. => Text

    refund

  3. -> Maybe PostRefundsRefundCancelRequestBody

    The request body to send

  4. -> ClientT m (Response PostRefundsRefundCancelResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/refunds/{refund}/cancel

<p>Cancels a refund with a status of <code>requires_action</code>.</p>

<p>Refunds in other states cannot be canceled, and only refunds for payment methods that require customer action will enter the <code>requires_action</code> state.</p>

Defines the object schema located at paths./v1/refunds/{refund}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postRefundsRefundCancel.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostRefundsRefundCancelResponseError is used.

Constructors

Instances2Eq, Show